
#import "car_objc_json_client.h"

NSString * const QUERYORDERDIRECTION_ASC = @"asc";
NSString * const QUERYORDERDIRECTION_DESC = @"desc";


@implementation QueryResultPaging
@synthesize page;
@synthesize pageSize;
@synthesize pageCount;
@synthesize recordCount;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation QueryOrder
@synthesize field;
@synthesize direction;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation ExceptionCode
@synthesize code;
@synthesize message;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation RsResponse
@synthesize code;
@synthesize message;
@synthesize data;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation LoginResult
@synthesize user;
@synthesize station;
@synthesize createOrderUrl;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation ModifyPasswordRequest
@synthesize userName;
@synthesize oldPassword;
@synthesize fnewPassword;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"newPassword": @"fnewPassword",
                                                       }];
}


@end

@implementation CheckOrderRequest
@synthesize userId;
@synthesize orderIds;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation ResetPasswordRequest
@synthesize userName;
@synthesize smsCode;
@synthesize fnewPassword;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"newPassword": @"fnewPassword",
                                                       }];
}


@end

@implementation CheckProductOrderRequest
@synthesize checkManId;
@synthesize checkManName;
@synthesize checkDate;
@synthesize checkKey;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation TradeStatisticsResult
@synthesize orderCount;
@synthesize totalAmount;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation StationUserAcctEntity
@synthesize fid;
@synthesize userId;
@synthesize userName;
@synthesize balance;
@synthesize dailyBillCount;
@synthesize drawBalance;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation TOAppversionEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize version;
@synthesize url;
@synthesize forceupdate;
@synthesize apptype;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation DrawCashBillEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize applicantName;
@synthesize applicantId;
@synthesize workpoint;
@synthesize cash;
@synthesize state;
@synthesize remark;
@synthesize approverName;
@synthesize approverId;
@synthesize checkerName;
@synthesize checkerId;
@synthesize cause;
@synthesize billNumber;
@synthesize finishDate;
@synthesize approveDate;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation MerchantProductEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize merchantId;
@synthesize merchantName;
@synthesize merchantCode;
@synthesize productId;
@synthesize productCode;
@synthesize productType;
@synthesize productPrice;
@synthesize productDescription;
@synthesize validatedStartDate;
@synthesize validatedEndDate;
@synthesize productImageUrl;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation ProductEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize name;
@synthesize code;
@synthesize price;
@synthesize fdescription;
@synthesize validatedStartDate;
@synthesize validatedEndDate;
@synthesize type;
@synthesize imageUrl;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"description": @"fdescription",
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation OilGunEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize code;
@synthesize name;
@synthesize gasItemId;
@synthesize gasItemCode;
@synthesize gasItemName;
@synthesize stationId;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation StationGasItemEntity
@synthesize fid;
@synthesize stationId;
@synthesize gasItemId;
@synthesize gasItemCode;
@synthesize gasItemName;
@synthesize num;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation OtherTicketEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize ticketNumber;
@synthesize name;
@synthesize type;
@synthesize total;
@synthesize realPayTotal;
@synthesize state;
@synthesize memberId;
@synthesize memberName;
@synthesize orderNumber;
@synthesize startDate;
@synthesize endDate;
@synthesize remak;
@synthesize distributeDate;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation IdEntity
@synthesize fid;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation ProductOrderEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize productId;
@synthesize productName;
@synthesize productCode;
@synthesize total;
@synthesize realPayTotal;
@synthesize discountAmount;
@synthesize payTime;
@synthesize merchantId;
@synthesize merchantName;
@synthesize merchantCode;
@synthesize mermberId;
@synthesize memberName;
@synthesize couponId;
@synthesize couponNumber;
@synthesize checkKey;
@synthesize billNumber;
@synthesize state;
@synthesize payMethod;
@synthesize payFlowNum;
@synthesize payFailedMsg;
@synthesize alipayBuyerId;
@synthesize alipaybuyerLogonId;
@synthesize memberMobilephone;
@synthesize couponName;
@synthesize productImageUrl;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation OrderEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize billNumber;
@synthesize stationId;
@synthesize stationName;
@synthesize stationUserId;
@synthesize stationUserName;
@synthesize stationUserRealName;
@synthesize memberId;
@synthesize memberName;
@synthesize memberMobilephone;
@synthesize oilGunId;
@synthesize oilGunName;
@synthesize gasItemId;
@synthesize gasItemName;
@synthesize total;
@synthesize realPayTotal;
@synthesize payTime;
@synthesize payMethod;
@synthesize deduct;
@synthesize invoice;
@synthesize printed;
@synthesize lstPrintedTime;
@synthesize payFlowNum;
@synthesize state;
@synthesize remark;
@synthesize printId;
@synthesize vehicleNo;
@synthesize payFailedMsg;
@synthesize printState;
@synthesize invoiceId;
@synthesize alipayBuyerId;
@synthesize alipaybuyerLogonId;
@synthesize checkState;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation StationUserAcctHisEntity
@synthesize fid;
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize userId;
@synthesize oldBalance;
@synthesize occur;
@synthesize fnewBalance;
@synthesize billNumber;
@synthesize action;
@synthesize remark;
@synthesize userName;
@synthesize tradeNo;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"newBalance": @"fnewBalance",
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation CheckTicketRequest
@synthesize ticketNumber;
@synthesize checkManId;
@synthesize checkManName;
@synthesize checkDate;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation MerchantLoginResult
@synthesize merchant;
@synthesize merchantUser;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation LoginRequest
@synthesize userName;
@synthesize password;
@synthesize longitude;
@synthesize latitude;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation RsQueryResult
@synthesize paging;
@synthesize page;
@synthesize pageSize;
@synthesize pageCount;
@synthesize recordCount;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation QueryDefinition
@synthesize orders;
@synthesize pageNumber;
@synthesize pageSize;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation ProductOrderQueryDefintion
@synthesize userId;
@synthesize billNumberLike;
@synthesize endDate;
@synthesize state;
@synthesize beginDate;
@synthesize merchantId;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation TSBaseUser
@synthesize userType;
@synthesize departid;
@synthesize signature;
@synthesize browser;
@synthesize userKey;
@synthesize status;
@synthesize activitiSync;
@synthesize password;
@synthesize userName;
@synthesize realName;
@synthesize currentDepart;
@synthesize userOrgList;
@synthesize deleteFlag;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation TSDepart
@synthesize TSPDepart;
@synthesize departname;
@synthesize fdescription;
@synthesize TSDeparts;
@synthesize orgCode;
@synthesize orgType;
@synthesize mobile;
@synthesize fax;
@synthesize address;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"description": @"fdescription",
                                                       }];
}


@end

@implementation ProductOrderQueryResult
@synthesize records;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation TSUserOrg
@synthesize tsUser;
@synthesize tsDepart;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation OrderQueryResult
@synthesize records;
@synthesize total;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation WithdrawQueryDefintion
@synthesize userId;
@synthesize userNameLike;
@synthesize billNumberLike;
@synthesize endDate;
@synthesize state;
@synthesize beginDate;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation OrderQueryDefintion
@synthesize userId;
@synthesize userNameLike;
@synthesize billNumberLike;
@synthesize endDate;
@synthesize state;
@synthesize beginDate;
@synthesize checkState;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation WithdrawQueryResult
@synthesize records;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation AccountHistoryQueryResult
@synthesize records;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation AccountHistoryQueryDefintion
@synthesize userId;
@synthesize beginDate;
@synthesize endDate;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation StationEntity
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize province;
@synthesize city;
@synthesize county;
@synthesize brand;
@synthesize longitude;
@synthesize latitude;
@synthesize partner;
@synthesize services;
@synthesize grade;
@synthesize remark;
@synthesize printerMachineCode;
@synthesize printerKey;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation TSUser
@synthesize signatureFile;
@synthesize mobilePhone;
@synthesize officePhone;
@synthesize email;
@synthesize createDate;
@synthesize createBy;
@synthesize createName;
@synthesize updateDate;
@synthesize updateBy;
@synthesize updateName;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation MerchantEntity
@synthesize createName;
@synthesize createBy;
@synthesize createDate;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;
@synthesize sysOrgCode;
@synthesize sysCompanyCode;
@synthesize latitude;
@synthesize longtitude;
@synthesize telephone;
@synthesize attachmentId;
@synthesize email;
@synthesize state;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation StationUserEntity
@synthesize wxOpenId;
@synthesize worknum;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation MerchantUserEntity
@synthesize worknum;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

